USE [master]
GO

--DROP DATABASE simple

CREATE DATABASE [simple]
 ON  PRIMARY 
( NAME = N'simple_database_file1', FILENAME = N'T:\Data\Datasimple_database_1.mdf'), 
 FILEGROUP [simple_database_filegroup] CONTAINS MEMORY_OPTIMIZED_DATA  DEFAULT
 ( NAME = N'simple_database_filegroup_file1', FILENAME = N'T:\Data\Datasimple_database_1')  -- no MAXSIZE spec
--,( NAME = N'simple_database_filegroup_file2', FILENAME = N'S:\Data\Datasimple_database_2')
 LOG ON 
( NAME = N'simple_database_log_file1', FILENAME = N'T:\Data\Datasimple_database_1.ldf')
GO

ALTER DATABASE [simple] SET COMPATIBILITY_LEVEL = 120
GO

ALTER DATABASE [simple] SET MEMORY_OPTIMIZED_ELEVATE_TO_SNAPSHOT ON
GO

ALTER DATABASE [simple] SET DELAYED_DURABILITY = ALLOWED -- or DISABLED or FORCED
GO


IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [simple].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO

ALTER DATABASE [simple] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [simple] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [simple] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [simple] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [simple] SET ARITHABORT OFF 
GO

ALTER DATABASE [simple] SET AUTO_CLOSE OFF 
GO

ALTER DATABASE [simple] SET AUTO_CREATE_STATISTICS ON 
GO

ALTER DATABASE [simple] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [simple] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [simple] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [simple] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [simple] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [simple] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [simple] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [simple] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [simple] SET  ENABLE_BROKER 
GO

ALTER DATABASE [simple] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [simple] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [simple] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [simple] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [simple] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [simple] SET READ_COMMITTED_SNAPSHOT OFF 
GO

ALTER DATABASE [simple] SET HONOR_BROKER_PRIORITY OFF 
GO

ALTER DATABASE [simple] SET RECOVERY FULL 
GO

ALTER DATABASE [simple] SET  MULTI_USER 
GO

ALTER DATABASE [simple] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [simple] SET DB_CHAINING OFF 
GO

ALTER DATABASE [simple] SET FILESTREAM( NON_TRANSACTED_ACCESS = OFF ) 
GO

ALTER DATABASE [simple] SET TARGET_RECOVERY_TIME = 0 SECONDS 
GO

ALTER DATABASE [simple] SET  READ_WRITE 
GO


