CREATE EVENT SESSION [Columnstore] ON SERVER 
ADD EVENT sqlserver.clustered_columnstore_index_rebuild,
ADD EVENT sqlserver.column_store_code_coverage,
ADD EVENT sqlserver.column_store_index_build_low_memory,
ADD EVENT sqlserver.column_store_index_build_process_segment,
ADD EVENT sqlserver.column_store_index_build_throttle,
ADD EVENT sqlserver.column_store_object_pool_hit,
ADD EVENT sqlserver.column_store_object_pool_miss,
ADD EVENT sqlserver.column_store_rowgroup_read_issued,
ADD EVENT sqlserver.column_store_rowgroup_readahead_issued,
ADD EVENT sqlserver.column_store_segment_eliminate,
ADD EVENT sqlserver.columnstore_tuple_mover_begin_compress,
ADD EVENT sqlserver.columnstore_tuple_mover_end_compress 
ADD TARGET package0.event_file(SET filename=N'c:\temp\Columnstore')
WITH (MAX_MEMORY=4096 KB,EVENT_RETENTION_MODE=ALLOW_SINGLE_EVENT_LOSS,MAX_DISPATCH_LATENCY=30 SECONDS,MAX_EVENT_SIZE=0 KB,MEMORY_PARTITION_MODE=NONE,TRACK_CAUSALITY=OFF,STARTUP_STATE=OFF)
GO


