
-- TempDB spills for hash join do NOT revert to row mode in 2014

use ContosoRetailDW -- 2012
use ContosoRetailDW -- 2014

set rowcount 100
 
-- SQL Server 2012 version
select sales.OnlineSalesKey, COUNT_BIG(*)
    from dbo.FactOnlineSales sales with (index(NC_PK_FactOnlineSales))
        inner join dbo.FactOnlineSales sales2 with (index(NC_PK_FactOnlineSales))
            on sales.OnlineSalesKey = sales2.OnlineSalesKey
    group by sales.OnlineSalesKey
    order by sales.OnlineSalesKey
 
-- SQL Server 2014 version
select sales.OnlineSalesKey, COUNT_BIG(*)
    from dbo.FactOnlineSales sales 
        inner join dbo.FactOnlineSales sales2 
            on sales.OnlineSalesKey = sales2.OnlineSalesKey
    group by sales.OnlineSalesKey
    order by sales.OnlineSalesKey
