/*
There was some sample code in one of the PDFs from the SQL Server 2014 Product Guide that I sent out.

SQL Server 2014 Product Guide
http://www.microsoft.com/en-us/download/details.aspx?id=39269

*/

-- See if buffer pool extension is enabled
SELECT [path], [file_id], [state], state_description, current_size_in_kb
FROM sys.dm_os_buffer_pool_extension_configuration;


-- Enable BPE and create 64GB cache file
ALTER SERVER CONFIGURATION
SET BUFFER POOL EXTENSION ON (FILENAME = 'L:\SSDCACHE\BPEFile.BPE', SIZE = 64 GB);
