
/*
CREATE CREDENTIAL mycredential 
WITH IDENTITY= 'mystorageaccount' -- this is the name of the storage account you specified when creating a storage account 
, SECRET = '<storage account access key>'
*/

-- Note: Not a real key
CREATE CREDENTIAL mycredential 
WITH IDENTITY= 'bbeauch' -- this is the name of the storage account you specified when creating a storage account
, SECRET = 'Ew8WVJPq41JDGlTmSbEsJc6zW5fjckuaISYT9IiLnZNHxmDGNYOkFpx38zgDZTq'

BACKUP DATABASE [Northwind] 
TO URL = 'https://bbeauch.blob.core.windows.net/sqld/Northwind.bak' 
/* URL includes the endpoint for the BLOB service, followed by the container name, and the name of the backup file*/ 
WITH CREDENTIAL = 'mycredential';
GO 

DROP DATABASE Northwind;
GO

RESTORE DATABASE [Northwind] 
FROM URL = 'https://bbeauch.blob.core.windows.net/sqld/Northwind.bak' 
WITH CREDENTIAL = 'mycredential';
GO